import { join, extname } from 'path';

var name = "@deepsource/nuxt-websocket";
var version = "1.0.0";

const CONFIG_KEY = "websocket";
const websocketModule = function(moduleOptions) {
  const options = Object.assign(this.options[CONFIG_KEY] || {}, moduleOptions);
  const webSocketManagerPath = require.resolve("./templates/WebSocketManager");
  const pluginPath = require.resolve("./templates/plugin");
  this.addTemplate({
    src: webSocketManagerPath,
    fileName: join("nuxt-websocket", `WebSocketManager${extname(webSocketManagerPath)}`),
    options
  });
  this.addPlugin({
    src: pluginPath,
    fileName: join("nuxt-websocket", `websocket.client${extname(pluginPath)}`),
    options
  });
};
websocketModule.meta = {name, version};

export default websocketModule;
